import React from 'react';
import { Form, Button } from 'semantic-ui-react';
import { emailSend } from '@plone/volto/actions';
import cx from 'classnames';
import { useDispatch } from 'react-redux';

const View = ({ data, props }) => {
  const dispatch = useDispatch();

  function onSubmit(event) {
    if (data.formactions[0].id === 'mailaction') {

      var i;
      var text = "";
      for (i = 0; i < event.target.length; i++) {
        var label = event.target[i].labels[0];
        if (event.target[i].value.length > 0 && label!== undefined) { 
          text += "<strong>" + label.textContent + "</strong>" + event.target[i].value + "<br>"
        }
      };
      if (!text) {
        text += "Es wurden leider keine Felder ausgefüllt"
      }
      console.log(text);

      dispatch(
        emailSend(
          data.formactions[0].configuration['mail_from_name'].value,
          data.formactions[0].configuration['mail_from'].value,
          data.formactions[0].configuration['mail_to'].value,
          data.formactions[0].configuration['subject'].value,
          text,
        ),
      );
    }
  }

  return (
    <div className={cx('block form')}>
      <h3>Form</h3>
      <Form onSubmit={onSubmit}
            title="FormBlock">
        {data.formfields &&
          data.formfields.map((item, index) => {
            switch (item.fieldgroup) {
              case 'input':
                return (
                  <>
                    <Form.Field
                      key={index}
                      index={index}
                      control="input"
                      fluid
                      label={item.label}
                      placeholder={item.placeholder}
                      required={item.required}
                      type={item.type}
                      id={index}
                      {...item.attributes}
                    />
                  </>
                );
              case 'textarea':
                return (
                  <>
                    <Form.Field
                      control="textarea"
                      key={index}
                      id={index}
                      index={index}
                      label={item.label}
                      placeholder={item.placeholder}
                      required={item.required}
                      {...item.attributes}
                    />
                  </>
                );
              default:
                return (
                  <>
                    <div>No Fields yet</div>
                  </>
                );
            }
          })}
        <>
          {data.formactions &&
            data.formactions.map((item, index) => (
              <Button
                key={item.index}
                index={index}
                title={item.submitButtonText}
                aria-label={item.submitButtonText}
                id="formactionbutton"
              >
                {item.submitButtonText ? item.submitButtonText : 'Submit'}
              </Button>
            ))}
        </>
      </Form>
    </div>
  );
};

export default View;
